Documentation Index
Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Number of days to look back
Max transactions (max 200)
GET /v1/usage — Credit usage history.
Documentation Index
Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
curl "https://api.usenaive.ai/v1/usage?days=30&limit=50" \
-H "Authorization: Bearer nv_sk_live_..."
{
"balance": 1500,
"tier": "pro",
"transactions": [
{
"id": "uuid",
"action": "email_send",
"amount": -1,
"reference": "msg-uuid",
"created_at": "2026-05-02T10:30:00Z"
},
{
"id": "uuid",
"action": "job_completion",
"amount": -5,
"reference": "job-uuid",
"created_at": "2026-05-02T10:31:02Z"
}
],
"summary": {
"emails_sent": 5,
"searches": 12,
"images_generated": 3,
"videos_generated": 1
}
}
curl "https://api.usenaive.ai/v1/usage?days=30&limit=50" \
-H "Authorization: Bearer nv_sk_live_..."
{
"balance": 1500,
"tier": "pro",
"transactions": [
{
"id": "uuid",
"action": "email_send",
"amount": -1,
"reference": "msg-uuid",
"created_at": "2026-05-02T10:30:00Z"
},
{
"id": "uuid",
"action": "job_completion",
"amount": -5,
"reference": "job-uuid",
"created_at": "2026-05-02T10:31:02Z"
}
],
"summary": {
"emails_sent": 5,
"searches": 12,
"images_generated": 3,
"videos_generated": 1
}
}